import { BasicPageParams, BasicFetchResult } from '/@/api/model/baseModel';

//仓库树
export interface HouseListItem {
  ID: string;
  AUTH_ORG:string;
  HOUSE_NAME: string;
  HOUSE_CODE: string;
  PARENT_HOUSE: string;
  CREATE_TIME: string;
  TYPE: string;
}
export type WhParams = {
  WH_CODE?: string;
  WH_NAME?: string;
};

export type WhPageParams = BasicPageParams & WhParams;

export interface WhListItem {
  ID: string;
  WH_CODE: string;
  WH_NAME: string;
  SHORT_NAME: string;
  WH_AREA: string;
  WH_CONTACT: string;
  WH_ADDRESS: string;
  ORG_CODE: string;
  WH_TEL: string;
  IS_ACTIVE: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  AUTH_ORG: string;
  REMARK: string;
  TRANSFER_WH: string;
}

export type ShelfParams = {
  REGION_CODE?: string;
  SHELF_CODE?: string;
  SHELF_NAME?: string;
  IS_CAR?: string;
  SHELF_TYPE?: number;
};
export type ShelfPageParams = BasicPageParams & ShelfParams;
export interface ShelfListItem {
  ID: string;
  SHELF_CODE: string;
  SHELF_NAME: string;
  FLOORS: number;
  FLOOR_COUNT: number;
  DIRECTION: string;
  REGION_ID: string;
  SHELF_TYPE: number;
  IS_CAR: string;
  ORG_CODE: string;
  RACKID: string;
  HOST_NAME: string;
  IP: string;
  PORT: string;
  IS_ONLINE: string;
  WEBHOOK_URL: string;
  IS_AVAILABLE: string;
  IS_ACTIVE: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  AUTH_ORG: string;
  REMARK: string;
}

export type LocationParams = {
  SHELF_CODE?: string;
  LOCATION_CODE?: string;
  LOCATION_NAME?: string;
  FLOOR_NO?: number;
};
export type LocationPageParams = BasicPageParams & LocationParams;

export interface LocationGuiZeListItem {
  LOCATION_CODE: string;
  IS_ACTIVE: string;
  ORG_CODE: string;
  SHELF_CODE: string;
  ISMIX: string;
}

export interface LocationListItem {
  ID: string;
  SHELF_ID: string;
  LOCATION_CODE: string;
  LOCATION_NAME: string;
  FLOOR_NO: number;
  SIDE: number;
  SEQ_NO: number;
  ISUSE: string;
  IS_MIX: string;
  LEDID: number;
  SPEC: string;
  ORG_CODE: string;
  PORT: string;
  IS_DAMAGE: string;
  IS_ACTIVE: string;
  IS_SINGLE: string;
  HAS_LED: string;
  INDICATOR: number;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  AUTH_ORG: string;
  REMARK: string;
}

export type RegionParams = {
  REGION_CODE?: string;
  REGION_NAME?: string;
};
export type RegionPageParams = BasicPageParams & RegionParams;
export interface RegionListItem {
  ID: string;
  REGION_CODE: string;
  REGION_NAME: string;
  SHORT_NAME: string;
  WH_ID: string;
  ORG_CODE: string;
  IS_ACTIVE: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  AUTH_ORG: string;
  REMARK: string;
}

export type FactoryParams = {
  FACTORY_CODE?: string;
  FACTORY_NAME?: string;
};
export type FactoryPageParams = BasicPageParams & FactoryParams;
export interface FactoryListItem {
  ID: string;
  FACTORY_CODE: string;
  FACTORY_NAME: string;
  DESCRIPTION: string;
  ACTIVESTATUS: string;
  // CREATE_USER: string;
  // UPDATE_USER: string;
  // UPDATE_TIME: string;
  CREATETIME: string;
}
//领料单实体
export type MaterialReqParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  ERP_BILL_CODE?: string;
  BIZTYPE?: string;
};
export type MaterialReqPageParams = BasicPageParams & MaterialReqParams;
export interface MaterialReqListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
}
//领料单明细
export type MaterialReqDetailParams = {
  BILLCODE?:string;
  ITEM_CODE?: string;
  STATUS?: string;
  BIZTYPE?: string;
};
export type MaterialReqDetailPageParams = BasicPageParams & MaterialReqDetailParams;
export interface MaterialReqDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	QTY: number;
	DELIVERYDATE: string;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: string;
	REMARK: string;
	ERP_BILL_CODE: string;
	ITEM_NAME: string;
	OWEQTY: string;
}
//领料单条码明细
export type MaterialReqDetailSNParams = {
  BILLCODE?:string;
  ITEM_CODE?: string;
  SN?:string;
  STATUS?: string;
  BIZTYPE?: string;
};
export type MaterialReqDetailSNPageParams = BasicPageParams & MaterialReqDetailSNParams;
export interface MaterialReqDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
  ORDER_NO:string;
  ORDER_LINE:string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	STATUS: number;
	LOCATION_CODE: string;
	ERP_WH: string;
	ALLOC_QTY: number;
	SOURCE_CODE: string;
	SOURCE_ORDER: string;
	SOURCE_LINE: string;
	LINE_NO: string;
	SEGMENT: string;
	SMT_NO: string;
	STATION_NO: string;
	FEEDER_NO: string;
	FEEDER_TYPE: string;
	LOAD_SEQ: number;
	IS_FIRST: string;
	NEED_CUTTING: string;
	REMARK: string;
}
//销售出库单实体
export type SaleoutorderParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  BIZTYPE?: string;
};
export type SaleoutorderPageParams = BasicPageParams & SaleoutorderParams;
export interface SaleoutorderListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  SALES_MAN: string;
  SUPPLIER_CODE: string;
  HANDLED: number;
  HANDLED_DATE: string;
}
//销售出库单实体明细
export type SaleoutorderDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type SaleoutorderDetailPageParams = BasicPageParams & SaleoutorderDetailParams;
export interface SaleoutorderDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	QTY: number;
	DELIVERYDATE: string;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: string;
	REMARK: string;
	CUST_CODE: string;
	ERP_BILL_CODE: string;
}
//销售出库单实体条码明细
export type SaleoutorderDetailSNParams = {
  ORDER_NO?: string;
  ITEM_CODE?: string;
  SN?: string;
  STATUS?: string;
};
export type SaleoutorderDetailSNPageParams = BasicPageParams & SaleoutorderDetailSNParams;
export interface SaleoutorderDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	ORDER_NO: string;
	ORDER_LINE: string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	STATUS: number;
	LOCATION_CODE: string;
	ERP_WH: string;
	ALLOC_QTY: number;
	SOURCE_CODE: string;
	SOURCE_ORDER: string;
	SOURCE_LINE: string;
	LINE_NO: string;
	SEGMENT: string;
	SMT_NO: string;
	STATION_NO: string;
	FEEDER_NO: string;
	FEEDER_TYPE: string;
	LOAD_SEQ: number;
	IS_FIRST: string;
	NEED_CUTTING: string;
	REMARK: string;
}
//其他出库单实体
export type OtheroutorderParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  BIZTYPE?: string;
};
export type OtheroutorderPageParams = BasicPageParams & OtheroutorderParams;
export interface OtheroutorderListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  HANDLED: number;
  HANDLED_DATE: string;
}
//其他出库单实体明细
export type OtheroutorderDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type OtheroutorderDetailPageParams = BasicPageParams & OtheroutorderDetailParams;
export interface OtheroutorderDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	QTY: number;
	OWE_QTY: number;
	DELIVERYDATE: string;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: string;
	REMARK: string;
	ERP_BILL_CODE: string;
}
//其他出库单实体条码明细
export type OtheroutorderDetailSNParams = {
  ORDER_NO?: string;
  ITEM_CODE?: string;
  SN?: string;
  STATUS?: string;
};
export type OtheroutorderDetailSNPageParams = BasicPageParams & OtheroutorderDetailSNParams;
export interface OtheroutorderDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	ORDER_NO: string;
	ORDER_LINE: string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	STATUS: number;
	LOCATION_CODE: string;
	ERP_WH: string;
	ALLOC_QTY: number;
	SOURCE_CODE: string;
	SOURCE_ORDER: string;
	SOURCE_LINE: string;
	LINE_NO: string;
	SEGMENT: string;
	SMT_NO: string;
	STATION_NO: string;
	FEEDER_NO: string;
	FEEDER_TYPE: string;
	LOAD_SEQ: number;
	IS_FIRST: string;
	NEED_CUTTING: string;
	REMARK: string;
}
//销售退货单实体
export type SalebackorderParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
};
export type SalebackorderPageParams = BasicPageParams & SalebackorderParams;
export interface SalebackorderListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  HANDLED: number;
  HANDLED_DATE: string;
}
//销售退货单实体明细
export type SalebackorderDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type SalebackorderDetailPageParams = BasicPageParams & SalebackorderDetailParams;
export interface SalebackorderDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	INVENTORYQTY: number;
	GOODQTY: number;
	NGQTY: number;
	SCRAPQTY: number;
	GOODINSTOCKQTY: number;
	NGINSTOCKQTY: number;
	SCRAPINSTCOKQTY: number;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: number;
	REMARK: string;
	ERP_BILL_CODE: string;
}
//销售退货单实体条码明细
export type SalebackorderDetailSNParams = {
  BUSINESSCODE?: string;
  ITEM_CODE?: string;
  SN?: string;
};
export type SalebackorderDetailSNPageParams = BasicPageParams & SalebackorderDetailSNParams;
export interface SalebackorderDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	BUSINESSCODE: string;
	BUSINESSLINE: number;
}
//送检单实体
export type InspectionParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  ERP_BILL_CODE?: string;
};
export type InspectionPageParams = BasicPageParams & InspectionParams;
export interface InspectionListItem {
  ID: string;
  BILLCODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  QCTIMES: number;
  QCSTATUS: number;
  QCRESULT: number;
  QCREVIEW: number;
  REVIEWQTY: number;
  QCLEVEL: number;
  MATERIALCODE: string;
  MEASURE: string;
  STRICTLEVEL: string;
  LEVELCODE: string;
  AQL: string;
  SAMPLEQTY: number;
  SAMPLEPASSQTY: number;
  SAMPLENGQTY: number;
  BEGINQTY: number;
  ENDQTY: number;
  FATALQTY: number;
  SERIOUSQTY: number;
  COMMONLYQTY: number;
  SLIGHTQTY: number;
  QCQTY: number;
  RECEIVEQTY: number;
  REJECTQTY: number;
  INSTOCKQTY: number;
  REMARK: string;
  LastModificationTime: string;
  LastModifierUserId: number;
  CreationTime: string;
  CreatorUserId: number;
  SCRAPQTY: number;
  ERP_BILL_CODE: string;
  PONO: string;
  POLINE: number;
}
//盘点单实体
export type InventoryParams = {
  COUNT_NO?: string;
  //BILLDATE?: string;
  STATUS?: string;
  COUNT_TYPE?: string;
  COUNT_MODE?: string;
  CREATE_TIME?: string;
};
export type InventoryPageParams = BasicPageParams & InventoryParams;
export interface InventoryListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  COUNT_NO: string;
  COUNT_MODE: number;
  COUNT_TYPE: number;
  STATUS: number;
  ORG_CODE: string;
  WH_IDS: string;
  REGION_IDS: string;
  SHELF_IDS: string;
  LOCATION_IDS: string;
  LOCATION_CODE: string;
  ITEM_CODE_LIST: string;
  ITEM_CODE_LIKE: string;
  MIRROR_DATE: string;
  BEGIN_DATE: string;
  END_DATE: string;
  REVIEWER: string;
  REVIEW_DATE: string;
  REMARK: string;
}
//盘点汇总明细
export interface iV_ITEM_COUNT {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  SN: string;
  SN_TYPE: string;
  ITEM_CODE: string;
  STATUS: number;
  QTY: number;
  UNIT: string;
  PROD_DATE: string;
  FIRST_IN_DATE: string;
  TRANS_CODE: string;
  TRANS_NO: string;
  TRANS_LINE: string;
  SUPP_CODE: string;
  SUPP_LOTNO: string;
  LOTNO: string;
  CARTON_NO: string;
  PALLET_NO: string;
  WH_CODE: string;
  REGION_CODE: string;
  SHELF_CODE: string;
  LOCATION_CODE: string;
  ERP_WH: string;
  IS_LOCKED: string;
  REMARK: string;
  ITEM_NAME: string;
  ITEM_DESC: string;
  SN_COUNT: number;
}
//盘点单物品明细
export interface iWMS_COUNT_MDTL {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  COUNT_NO: string;
  SN: string;
  SN_TYPE: string;
  STATUS: number;
  RESULT: number;
  ITEM_CODE: string;
  UNIT: string;
  QTY: number;
  ACT_QTY: number;
  PROD_DATE: Date;
  FIRST_IN_DATE: Date;
  SUPP_CODE: string;
  SUPP_LOTNO: string;
  WH_CODE: string;
  REGION_CODE: string;
  SHELF_CODE: string;
  LOCATION_CODE: string;
  ERP_WH: string;
  ACTION: number;
  REVIEWER: string;
  REVIEW_DATE: Date;
  REMARK: string;
}
//盘点单储位明细
export interface iWMS_COUNT_LDTL {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  COUNT_NO: string;
  WH_CODE: string;
  REGION_CODE: string;
  SHELF_CODE: string;
  LOCATION_CODE: string;
  STATUS: number;
  RESULT: number;
  ITEM_CODE: string;
  UNIT: string;
  QTY: number;
  ACT_QTY: number;
  SN_QTY: number;
  ACT_SN_QTY: number;
  REMARK: string;
}
//盘点单结果明细
export interface iWMS_COUNT_SUM {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  COUNT_NO: string;
  ITEM_CODE: string;
  UNIT: string;
  RESULT: number;
  QTY: number;
  ACT_QTY: number;
  ERP_QTY: number;
  SN_QTY: number;
  ACT_SN_QTY: number;
  REMARK: string;
}

//调拨单实体
export type TransferParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  ERP_BILL_CODE?: string;
};
export type TransferPageParams = BasicPageParams & TransferParams;
export interface TransferListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  OUTWAREHOUSECODE: string;
  INWAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
}
//调拨单明细
export type TransferdtlParams = {
  BILLCODE?: string;
  ITEM_CODT?: string;
  LINESTATUS?: string;
  ITEM_CODE?: string;
  OUTWAREHOUSECODE?: string;
  INWAREHOUSECODE?: string;
};
export type TransferdtlPageParams = BasicPageParams & TransferdtlParams;
export interface TransferDetailListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLLINE: string;
  LINESTATUS: string;
  ITEM_CODE: string;
  UNITCODE: string;
  PRQTY: number;
  OUTQTY: number;
  INQTY: number;
  OUTWAREHOUSECODE: string;
  INWAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  SOURCELINE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  INVENTORYQTY: number;
}
//调拨单条码明细
export type TransferdtlsnParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  SN?: string;
  LINESTATUS?: string;
};
export type TransferdtlsnPageParams = BasicPageParams & TransferdtlsnParams;
export interface TransferDetailSNListItem {
	ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	BILLCODE: string;
	BILLDATE: Date;
	BILLLINE: string;
	LINESTATUS: string;
}
// 完工入库单实体
export type FinishedwarehouseParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
};
export type FinishedwarehousePageParams = BasicPageParams & FinishedwarehouseParams;
export interface FinishedwarehouseListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  HANDLED: number;
  HANDLED_DATE: string;
}
//完工入库单明细
export type FinishedwarehouseDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type FinishedwarehouseDetailPageParams = BasicPageParams & FinishedwarehouseDetailParams;
export interface FinishedwarehouseDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	INVENTORYQTY: number;
	INSTOCKQTY: number;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: string;
	REMARK: string;
	ERP_BILL_CODE: string;
}
// 完工入库单条码明细
export type FinishedwarehouseDetailSNParams = {
  BUSINESSCODE?:string;
  ITEM_CODE?: string;
  SN?: string;
};
export type FinishedwarehouseDetailSNPageParams = BasicPageParams & FinishedwarehouseDetailSNParams;
export interface FinishedwarehouseDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	CARTONNO: string;
	BUSINESSCODE: string;
	BUSINESSLINE: string;
	SOURCECODE: string;
	ITEM_CODE: string;
	Qty: number;
	SN: string;
	PALLETNO: string;
	DATECODE: string;
}
// 送货单实体
export type DeliveryParams = {
  DELIVERY_NO?: string;
  PURCHASE_TYPE?: string;
  RECEIVE_DATE?: string;
  STATUS?: string;
};
export type DeliveryPageParams = BasicPageParams & DeliveryParams;
export interface DeliveryListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  DELIVERY_NO: string;
  STATUS: string;
  SUPP_CODE: string;
  SUPP_NAME: string;
  RECEIVER: string;
  RECEIVE_DATE: string;
  DELIVERY_TYPE: number;
  PURCHASE_TYPE: number;
  LOGISTICS_STATUS: number;
  DELIVERY_DATE: string;
  PLANARRIVED_DATE: string;
  CONTACT_PERSON: string;
  CONTACT_MOBILE: string;
  ADDRESS: string;
  CAR_NO: string;
  REMARK: string;
  DELIVERY_FLAG: number;
  GROSS_WEIGHT: string;
  NET_WEIGHT: string;
  UNIT_WEIGHTCODE: string;
  UNIT_WEIGHTNAME: string;
  TOTAL_PACKING_QTY: string;
  HANDLED: number;
  HANDLED_DATE: string;
}
// 送货单实体明细
export type DeliveryDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  STATUS?: string;
};
export type DeliveryDetailPageParams = BasicPageParams & DeliveryDetailParams;
export interface DeliveryDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	DELIVERY_NO: string;
	LINE_NO: number;
	ERP_PO_NO: string;
	PO_LINE_NO: number;
	PO_TYPE: number;
	ITEM_CODE: string;
	ITEM_NAME: string;
	SPECIFICATION: string;
	QTY: number;
	UNIT: string;
	VALUATION_QTY: number;
	PRICE: number;
	TAX_PRICE: number;
	STATUS: number;
	RECEIVE_STATUS: number;
	BUYER: string;
	EXPECTED_DATE: string;
	ANSWER_DATE: string;
	CURRENCY_CODE: string;
	CURRENCY_NAME: string;
	VERIFY_STATUS: number;
	VERIFY_RESULT: number;
	REMARK: string;
	BRAND_NAME: string;
	BATCH_NUMBER: string;
	UNIT_NAME: string;
	PACKING_QTY: number;
	APPLY_DELIVERY_QTY: number;
	GROSS_WEIGHT: number;
	NET_WEIGHT: number;
	UNIT_WEIGHTCODE: string;
	UNIT_WEIGHTNAME: string;
	URGENT_FLAG: number;
}
// 送货单实体条码明细
export type DeliveryDetailSNParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  STATUS?: string;
  SN?: string;
};
export type DeliveryDetailSNPageParams = BasicPageParams & DeliveryDetailSNParams;
export interface DeliveryDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	DELIVERY_NO: string;
	ITEM_CODE: string;
	ITEM_NAME: string;
	SPECIFICATION: string;
	QTY: number;
	SMALL_BARCODE: string;
	BIG_BARCODE: string;
	OUTER_BARCODE: string;
	SMALL_SN: string;
	BIG_SN: string;
	OUTER_SN: string;
	SUPP_CODE: string;
	PROD_DATE: string;
	REMARK: string;
	IMPORTED: number;
	IMPORTED_DATE: string;
	PO_ERP_NO: string;
	PO_LINE_NO: number;
}
//到货单实体
export type EnterWarehouseParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  ERP_BILL_CODE?: string;
  BIZTYPE: string;
};
export type EnterWarehousePageParams = BasicPageParams & EnterWarehouseParams;
export interface EnterWarehouseListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: number;
  BIZTYPE: string;
  SUPPLIERCODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  ERP_TRANS_CODE: string;
}
//到货单明细实体
export type EnterWarehouseDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?:string;
  BILLDATE?: string;
  STATUS?: string;
  //ERP_BILL_CODE?: string;
  BIZTYPE: string;
};
export type EnterWarehouseDetailPageParams = BasicPageParams & EnterWarehouseDetailParams;
export interface EnterWarehouseDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLDATE: string;
	STATUS: number;
	BIZTYPE: number;
	SUPPLIERCODE: string;
	REMARK: string;
	ERP_BILL_CODE: string;
	ERP_TRANS_CODE: string;
	HANDLED: number;
	HANDLED_DATE: Date;
}
//到货单条码明细实体
export type EnterWarehouseDetailSNParams = {
  BILLCODE?: string;
  ITEM_CODE?:string;
  SN?:string;
  STATUS?: string;
  //ERP_BILL_CODE?: string;
  BIZTYPE: string;
};
export type EnterWarehouseDetailSNPageParams = BasicPageParams & EnterWarehouseDetailSNParams;
export interface EnterWarehouseDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: string;
	SOURCETYPE: number;
	ITEM_CODE: string;
	SN: string;
	SUPPLIERCODE: string;
	DATECODE: string;
	SCANQTY: number;
	UNIT: string;
	ISGIVEAWAY: number;
	DELIVERY_NO: string;
	DELIVERY_LINE: number;
	REMARK: string;
	LOTNO: string;
	STATEFLAG: string;
	CARTON: string;
	PALLET: string;
	SCAN_SN: string;
}
// 其他入库单实体
export type OtherwarehouseParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  ERP_BILL_CODE: string;
  STATUS?: string;
};
export type OtherdwarehousePageParams = BasicPageParams & OtherwarehouseParams;
export interface OtherwarehouseListItem {
  ID: string;
  CREATE_TIME: Date;
  CREATE_USER: string;
  UPDATE_TIME: Date;
  UPDATE_USER: string;
  GHOST_ROW: boolean;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: Date;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
  HANDLED: number;
  HANDLED_DATE: Date;
}
// 其他入库单实体明细
export type OtherwarehouseDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type OtherdwarehouseDetailPageParams = BasicPageParams & OtherwarehouseDetailParams;
export interface OtherwarehouseDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: number;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	QTY: number;
	DELIVERYDATE: string;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: string;
	REMARK: string;
	ERP_BILL_CODE: string;
}
// 其他入库单实体条码明细
export type OtherwarehouseDetailSNParams = {
  BUSINESSCODE?: string;
  ITEM_CODE?: string;
  SN?: string;
  STATUS?: string;
};
export type OtherdwarehouseDetailSNPageParams = BasicPageParams & OtherwarehouseDetailSNParams;
export interface OtherwarehouseDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	SN: string;
	ITEM_CODE: string;
	QTY: number;
	BUSINESSCODE: string;
	BUSINESSLINE: string;
	DATECODE: string;
	DATECODESTR: string;
	LOTNO: string;
	STATUS: string;
	WAREHOUSECODE: string;
}
//生产退料单
export type MaterialRetParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  BIZTYPE?: string;
};
export type MaterialRetPageParams = BasicPageParams & MaterialRetParams;
export interface MaterialRetListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  STATUS: string;
  BIZTYPE: string;
  WAREHOUSECODE: string;
  SOURCETYPE: number;
  SOURCECODE: string;
  REMARK: string;
  ERP_BILL_CODE: string;
}
//生产退料单明细
export type MaterialRetDetailParams = {
  BILLCODE?: string;
  ITEM_CODE?: string;
  LINESTATUS?: string;
};
export type MaterialRetDetailPageParams = BasicPageParams & MaterialRetDetailParams;
export interface MaterialRetDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLCODE: string;
	BILLLINE: number;
	LINESTATUS: string;
	ITEM_CODE: string;
	UNITCODE: string;
	PRQTY: number;
	WAREHOUSECODE: string;
	SOURCETYPE: number;
	SOURCECODE: string;
	SOURCELINE: number;
	REMARK: string;
	GOODQTY: number;
	NGQTY: number;
	GOODINSTOCKQTY: number;
	NgINSTOCKQTY: number;
	SCRAPQTY: number;
	SCRAPINSTCOKQTY: number;
	INVENTORYQTY: number;
	ERP_BILL_CODE: string;
	DELIVERYDATE: string;
}
//生产退料单条码
export type MaterialRetDetailSNParams = {
  BILLCODE?: string;
  ITEM_CODE?:string;
  SN?:string;
};
export type MaterialRetDetailSNPageParams = BasicPageParams & MaterialRetDetailSNParams;
export interface MaterialRetDetailSNListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	ITEM_CODE: string;
	SN: string;
	QTY: number;
	BUSINESSCODE: string;
	BUSINESSLINE: string;
}
//采购单
export type PurchaseParams = {
  BILLCODE?: string;
  BILLDATE?: string;
  STATUS?: string;
  ERP_BILL_CODE?: string;
  BIZTYPE?: string;
};
export type PurchasePageParams = BasicPageParams & PurchaseParams;
export interface PurchaseListItem {
  ID: string;
  CREATE_TIME: string;
  CREATE_USER: string;
  UPDATE_TIME: string;
  UPDATE_USER: string;
  AUTH_ORG: string;
  AUTH_PROD: string;
  AUTH_WH: string;
  BILLCODE: string;
  BILLDATE: string;
  BILLTYPE: string;
  STATUS: string;
  CURRENCY: string;
  EXCHANGERATE: string;
  PURDEPTCODE: string;
  PUREMPLOYEECODE: string;
  SUPPLIERCODE: string;
  REMARK: string;
}
//采购单明细
export type PurchaseDetailParams = {
  BILLCODE?: string;
  MATERIALCODE?: string;
  LINESTATUS?: string;
};
export type PurchasePageDetailParams = BasicPageParams & PurchaseDetailParams;
export interface PurchaseDetailListItem {
  ID: string;
	CREATE_TIME: string;
	CREATE_USER: string;
	UPDATE_TIME: string;
	UPDATE_USER: string;
	GHOST_ROW: boolean;
	AUTH_ORG: string;
	AUTH_PROD: string;
	AUTH_WH: string;
	BILLID: string;
	BILLCODE: string;
	BILLLINE: string;
	MATERIALCODE: string;
	UNITCODE: string;
	LINESTATUS: number;
	PRQTY: number;
	QTY: number;
	ARRIVALQTY: number;
	INSTOCKQTY: number;
	RETURNQTY: number;
	ISGIVEAWAY: number;
	TAXRATE: number;
	PRICE: number;
	TAXPRICE: number;
	AMOUNT: number;
	ALLAMOUNT: number;
	TAXAMOUNT: number;
	DISCOUNTRATE: number;
	DISCOUNT: number;
	SUPPLIERMATERIALCODE: string;
	DELIVERYDATE: string;
	PROMISEDATE: string;
	REMARK: string;
}
// 实时库存实体
export type WmsItemParams = {
  SN?: string;
  TRANS_NO?: string;
  ITEM_CODE?: string;
  STATUS?: string;
  SHELF_CODE?: string;
  TRACE_INFO?: string;
  LOCATION_CODE?: string;
};
export type WmsItemPageParams = BasicPageParams & WmsItemParams;
export interface WmsItemListItem {
  ID: string;
  SN: string;
  SN_TYPE: number;
  STATUS: number;
  ITEM_CODE: string;
  QTY: number;
  UNIT: string;
  PROD_DATE: string;
  FIRST_IN_DATE: string;
  TRANS_CODE: string;
  TRANS_NO: string;
  TRANS_LINE: number;
  SUPP_CODE: string;
  SUPP_LOTNO: string;
  LOTNO: string;
  CARTON_NO: string;
  PALLET_NO: string;
  WAREHOUESE_CODE: string;
  REGION_CODE: string;
  SHELF_CODE: string;
  LOCATION_CODE: string;
  PRINT_TIMES: number;
  PRINT_DATE: string;
  PRINT_USER: string;
  IS_LOCKED: string;
  CREATE_USER: string;
  UPDATE_USER: string;
  UPDATE_TIME: string;
  CREATE_TIME: string;
  REMARK: string;
}
// // 包装信息 - 包装规则
// export type PackagerItemParams= {
//   SN?: string;
//   PARENT_SN?: string;
//   ITEM_CODE?: string;
//   TRANS_NO?: string;
//   WH_CODE?: string;
//   REGION_CODE?: string;
// };
// export type PackagerItemPageParams = BasicPageParams & PackagerItemParams;
// export interface PackagerItemListItem {
//   ID: string;
//   CREATE_TIME: string;
// 	CREATE_USER: string;
// 	UPDATE_TIME: string;
// 	UPDATE_USER: string;
// 	GHOST_ROW: boolean;
// 	AUTH_ORG: string;
// 	AUTH_PROD: string;
// 	AUTH_WH: string;
//   SN: string;
//   SN_TYPE: number;
//   PARENT_SN: string
//   PKG_TYPE: number;
//   ITEM_CODE: string;
//   QTY: number;
//   UNIT: string;
//   TRANS_CODE: string;
//   TRANS_NO: string;
//   TRANS_LINE: number;
//   SUPP_CODE: string;
//   SUPP_LOTNO: string;
//   LOTNO: string;
//   WH_CODE: string;
//   REGION_CODE: string;
//   SHELF_CODE: string;
//   LOCATION_CODE: string;
//   ERP_WH: string;
//   PRINT_TIMES: number;
//   PRINT_DATE: string;
//   PRINT_USER: string;
//   REMARK: string;
// }

export type WhPageListGetResultModel = BasicFetchResult<WhListItem>;
export type ShelfPageListGetResultModel = BasicFetchResult<ShelfListItem>;
export type LocationPageListGetResultModel = BasicFetchResult<LocationListItem>;
export type RegionPageListGetResultModel = BasicFetchResult<RegionListItem>;
export type FactoryPageListGetResultModel = BasicFetchResult<FactoryListItem>;
//完工入库单
export type FinishedwarehousePageListGetResultModel = BasicFetchResult<FinishedwarehouseListItem>;
export type FinishedwarehouseDetailPageListGetResultModel = BasicFetchResult<FinishedwarehouseDetailListItem>;
export type FinishedwarehousePageDetailSNListGetResultModel = BasicFetchResult<FinishedwarehouseDetailSNListItem>;

export type OhterwarehousePageListGetResultModel = BasicFetchResult<OtherwarehouseListItem>;
export type OhterwarehouseDetailPageListGetResultModel = BasicFetchResult<OtherwarehouseDetailListItem>;
export type OhterwarehouseDetailSNPageListGetResultModel = BasicFetchResult<OtherwarehouseDetailSNListItem>;
//送货单
export type DeliveryePageListGetResultModel = BasicFetchResult<DeliveryListItem>;
export type DeliveryeDetailPageListGetResultModel = BasicFetchResult<DeliveryDetailListItem>;
export type DeliveryeDetailSNPageListGetResultModel = BasicFetchResult<DeliveryDetailSNListItem>;
//采购单
export type PurchasePageListGetResultModel = BasicFetchResult<PurchaseListItem>;
export type PurchasePageDetailListGetResultModel = BasicFetchResult<PurchaseDetailListItem>;
//销售出库单
export type SaleoutorderPageListGetResultModel = BasicFetchResult<SaleoutorderListItem>;
export type SaleoutorderDetailPageListGetResultModel = BasicFetchResult<SaleoutorderDetailListItem>;
export type SaleoutorderDetailSNPageListGetResultModel = BasicFetchResult<SaleoutorderDetailSNListItem>;
//其他出库单
export type OtheroutorderPageListGetResultModel = BasicFetchResult<OtheroutorderListItem>;
export type OtheroutorderDetailPageListGetResultModel = BasicFetchResult<OtheroutorderDetailListItem>;
export type OtheroutorderPageDetailSNListGetResultModel = BasicFetchResult<OtheroutorderDetailSNListItem>;
//销售退货单
export type SalebackorderPageListGetResultModel = BasicFetchResult<SalebackorderListItem>;
export type SalebackorderPageDetailListGetResultModel = BasicFetchResult<SalebackorderDetailListItem>;
export type SalebackorderPageDetailSNListGetResultModel = BasicFetchResult<SalebackorderDetailSNListItem>;

export type InventoryPageListGetResultModel = BasicFetchResult<InventoryListItem>;
export type WmsItemPageListGetResultModel = BasicFetchResult<WmsItemListItem>;
export type InspectionPageListGetResultModel = BasicFetchResult<InspectionListItem>;
//领料单
export type MaterialReqPageListGetResultModel = BasicFetchResult<MaterialReqListItem>;
export type MaterialReqDetailPageListGetResultModel = BasicFetchResult<MaterialReqDetailListItem>;
export type MaterialReqDetailSNPageListGetResultModel = BasicFetchResult<MaterialReqDetailSNListItem>;
//生产退料单
export type MaterialRetPageListGetResultModel = BasicFetchResult<MaterialRetListItem>;
export type MaterialRetDetailPageListGetResultModel = BasicFetchResult<MaterialRetDetailListItem>;
export type MaterialRetDetailSNPageListGetResultModel = BasicFetchResult<MaterialRetDetailSNListItem>;
//到货单
export type EnterWarehousePageListGetResultModel = BasicFetchResult<EnterWarehouseListItem>;
export type EnterWarehouseDetailPageListGetResultModel = BasicFetchResult<EnterWarehouseDetailListItem>;
export type EnterWarehouseDetailSNPageListGetResultModel = BasicFetchResult<EnterWarehouseDetailSNListItem>;
//调拨单
export type TransferPageListGetResultModel = BasicFetchResult<TransferListItem>;
export type TransferDetailPageListGetResultModel = BasicFetchResult<TransferDetailListItem>;
export type TransferDetailSNPageListGetResultModel = BasicFetchResult<TransferDetailSNListItem>;
// 包装规则
// export type PackagerPageListGetResultModel = BasicFetchResult<PackagerItemListItem>;

